Class | Sequel::SQL::Cast
In: | lib/sequel/sql.rb
Parent: | GenericExpression

Represents a cast of an SQL expression to a specific type.

### Methods

new

### Attributes

expr | [R] | The expression to cast
type | [R] | The type to which to cast the expression

### Public Class methods

new(expr, type)

Set the attributes to the given arguments

[Source]

         # File lib/sequel/sql.rb, line 513
    513:       def initialize(expr, type)
    514:         @expr = expr
    515:         @type = type
    516:       end

[Validate]